"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPackageInfo = void 0;
const js_yaml_1 = require("js-yaml");
const fileutils_1 = require("@nx/workspace/src/utilities/fileutils");
const common_1 = require("@nxrocks/common");
function getPackageInfo(project) {
    if ((0, fileutils_1.fileExists)((0, common_1.getProjectFilePath)(project, 'pubspec.yaml'))) {
        //
        const pubspec = (0, js_yaml_1.load)((0, common_1.getProjectFileContent)(project, 'pubspec.yaml'));
        const dependencies = [];
        Object.keys(Object.assign({}, pubspec.dependencies, pubspec.dev_dependencies)).forEach((depId) => {
            dependencies.push({ packageId: depId, packageFile: 'pubspec.yaml' });
        });
        return {
            packageId: pubspec.name,
            packageFile: 'pubspec.yaml',
            dependencies: dependencies,
        };
    }
    throw new Error(`Cannot inspect dependencies of Flutter projet at: '${(0, common_1.getProjectRoot)(project)}'.\n` + `No 'pubspec.yaml' was found.`);
}
exports.getPackageInfo = getPackageInfo;
//# sourceMappingURL=deps-utils.js.map